﻿// VsPkg.cs : Implementation of ApexParser
//

using System;
using System.Diagnostics;
using System.Globalization;
using System.Runtime.InteropServices;
using System.ComponentModel.Design;
using Microsoft.Win32;
using Microsoft.VisualStudio.Shell.Interop;
using Microsoft.VisualStudio.OLE.Interop;
using Microsoft.VisualStudio.Shell;
using Babel;

namespace RyanW.ApexParser
{

    [PackageRegistration(UseManagedResourcesOnly = true)]

    [DefaultRegistryRoot("Software\\Microsoft\\VisualStudio\\9.0")]

    [InstalledProductRegistration(false, "#110", "#112", "1.0", IconResourceID = 400)]

    [ProvideLoadKey("Standard", "1.0", "Apex", "RyanW", 104)]

    [Guid(GuidList.guidApexParserPkgString)]
    [ProvideService(typeof(LanguageService))]

    [ProvideLanguageExtension(typeof(LanguageService), Configuration.Extension)]

    [ProvideLanguageService(typeof(LanguageService), Configuration.Name, 0,
        CodeSense = true,
        EnableCommenting = true,
        MatchBraces = true,
        ShowCompletion = true,
        ShowMatchingBrace = true,
        AutoOutlining = true,
        EnableAsyncCompletion = true,
        CodeSenseDelay = 0)]


    public sealed class ApexParserPackage : BabelPackage
    {



    }
}