using System;
using System.Collections.Generic;

namespace Babel
{
    interface IASTResolver
    {
        IList<Declaration> FindCompletions(string currentText, int line, int col);
        IList<Declaration> FindMembers(object result, int line, int col);
        string FindQuickInfo(object result, int line, int col);
        IList<Method> FindMethods(object result, int line, int col, string name);
    }
}

